Bug 443089 - Cannot "Shutdown" system from menu
Cannot "Shutdown" system from menu
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-18 12:05 EDT by Mathias Panzenböck
Modified: 2008-06-25 08:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-25 08:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
my /etc/kde/kdm/kdmrc (1.18 KB, text/plain)
2008-04-18 12:05 EDT, Mathias Panzenböck
no flags Details
Using nv driver (768 bytes, text/plain)
2008-06-20 22:14 EDT, Chris Hubner
no flags Details

  None (edit)
Description Mathias Panzenböck 2008-04-18 12:05:23 EDT
+++ This bug was initially created as a clone of Bug #381701 +++

Description of problem:
After I use the system a bit, selecting:
  K | Shut Down... | Shut Down 
gives a black screen.

Version-Release number of selected component (if applicable):
KDE 3.5.9

How reproducible:
Very often but not always.

Additional info:
Sometimes when I experience this problem the computer shuts down when I switch
to a text login (ctrl+alt+f1). I don't have to do anything else.
In rare cases it won't shut down then either. Then I can shut down with shutdown
-h now or similar.

I changed kdmrc a bit ([Xdmcp] Enable=true), but the bug was present before.

This bug makes it impossible for my mother to turn off the computer. :/
Comment 1 Mathias Panzenböck 2008-04-18 12:05:23 EDT
Created attachment 302899 [details]
my /etc/kde/kdm/kdmrc
Comment 2 Kevin Kofler 2008-04-18 12:11:52 EDT
I'll take off desktop-bugs from the CC, those are GNOME folks who probably 
don't care about this KDE issue. ;-)
Comment 3 Rex Dieter 2008-04-18 12:17:06 EDT
Are you using gdm?  If so, it's likely a dup of bug #429966
Comment 4 Rex Dieter 2008-04-18 12:18:38 EDT
Nevermind, your initial comment mentions kdm.
Comment 5 Rex Dieter 2008-04-18 12:20:36 EDT
Fwiw, works fine here (using both f7, f8).
Any hints on how to reproduce would be helpful.
Comment 6 Mathias Panzenböck 2008-04-18 12:34:09 EDT
It only happens from time to time. I do not see any correlations about when it
happens. Maybe it has something to do with multiple x sessions, but the last
time it happened only one person was logged in.
Comment 7 Sammy 2008-04-21 20:08:52 EDT
What video driver are you using? Standard xorg stuff or ati or nvidia?
On different computers there are different symptoms. On my ThinkPad
loggin off or trying to switch vt's end with black screen using ati
drivers. On my desktop with nvidia drivers I get a long black screen
(15-20 seconds) then kdm restarts.
Comment 8 Mathias Panzenböck 2008-04-22 06:37:45 EDT
I use nvidias drivers. It happens with both 171.06 and 169.12. I have an GeForce
8800 on a dual core intel. But under Ubuntu with a GeForce 4400 and 169.12 on an
single core amd I never experienced any thing like this.
Comment 9 Chris Hubner 2008-06-20 02:42:41 EDT
I've run into this on two very different Intel systems, one a 865/P4 system, the
other a X38/Core 2 duo system.  The first system uses an Nvidia 6200 with the
169.12 driver, the second an Nvidia 9600 with the 173.14.05 driver.  The failure
shows up about one time out of 5 when shutting down from KDE - never from Gnome.
 The first system ran FC6/KDE for over a year with no failures.  It started
failing immediately when F8/KDE was installed.
Comment 10 Kevin Kofler 2008-06-20 09:18:34 EDT
The common data here appears to be nVidia... If this cannot be reproduces 
without the proprietary nvidia driver, I'll have to blame that driver and close 
this bug.
Comment 11 Chris Hubner 2008-06-20 11:43:02 EDT
Just a minute!  Two different Nvidia cards and two different Nvidia drivers?!? 
And it never fails with FC6/KDE but fails with both F7/F8 and KDE but never with
Gnome?!?  It seems a bit of a stretch to lay that on Nvidia.  I could see
looking hard at KDE or RH's implementation of KDE, but pointing at the most
popular supplier of graphics for Linux seems a reach.
Comment 12 Kevin Kofler 2008-06-20 11:52:23 EDT
They aren't really different drivers, just different versions of the same 
driver. NVidia doesn't rewrite their drivers from scratch for each release, 
nobody does that! So bugs can persist across several versions. The exact 
hardware used is also irrelevant in the case of a driver bug. So I think the 
fact that different versions of the driver and different cards are involved is 
not a good argument for claiming this is not a driver bug. The only way to 
prove that it is not a video driver bug would be to try reproducing it with a 
different graphics driver. Maybe you want to try nv or nouveau, just to see if 
this happens with those too?

As for "the most popular supplier of graphics for Linux", that's an assertion 
you have to provide stats for. But in any case the nvidia driver is NOT 
supported by Fedora (and we CANNOT support it, because we have NO way to fix 
bugs in it, only nVidia can), and nVidia is a bad choice of a manufacturer, 
it's the only major graphics card producer which is NOT cooperating with Free 
Comment 13 Kevin Kofler 2008-06-20 12:03:39 EDT
Some more evidence for a driver/X11 problem: here are the latest versions of 
xorg-x11-server in the updates for the different Fedora versions:
FC6: xorg-x11-server-1.1.1-47.10.fc6
F7: xorg-x11-server-
F8: xorg-x11-server-
F9: xorg-x11-server-

So my guess of why this worked in FC6 and not in F7 is that a bug was 
introduced in the nvidia driver when porting it to the xorg-x11-server-1.3.
Comment 14 Rex Dieter 2008-06-20 12:25:19 EDT
Regardless, only when/if someone can reproduce this with only fedora-supplied
packages/drivers, can we *know* the bug lives here.  Otherwise, there will
always be uncertainty and doubt.
Comment 15 Chris Hubner 2008-06-20 13:14:29 EDT
Okay, I'll convert one of my systems back to nv and do some some testing with
that tonight.
Comment 16 Chris Hubner 2008-06-20 22:14:44 EDT
Created attachment 309959 [details]
Using nv driver

This is the resulting xorg.conf after livna rpms removed.
Comment 17 Chris Hubner 2008-06-20 22:15:37 EDT
Okay, after removing livna's Nvidia RPMs I've gotten several failures shutting
down from KDE using the nv driver.  The symptoms are that shutdown (or restart)
is accepted from the gui which takes you to a black screen containing only an
active mouse cursor and there it hangs.

Hitting Ctrl-Alt-Backspace gets you a text mode login prompt and from there,
logged in as root, a shutdown -r now takes you through a successful reboot to a
KDE/nv session.

So much for "uncertainty and doubt"?  ;-) 
Comment 18 Chris Hubner 2008-06-22 15:12:50 EDT
Over the weekend, a hardware failure forced me to install a new hard drive and
re-install Fedora 8.  Immediately after the install this bug re-occurred almost
immediately (using nv).  However, after installing the 324 outstanding updates
I've not been able to recreate the problem.  There must have been some magic in
there somewhere, and unless I report something in the next day or two I'd be
inclined to call this one history.
Comment 19 Chris Hubner 2008-06-25 08:34:25 EDT
I've not seen any re-occurrence of this bug so I'd have no objection to it being
closed.  BTW, I started running the Nvidia driver again yesterday and that had
no adverse effects.

Note You need to log in before you can comment on or make changes to this bug.